Game Develop C++ Platform: BadRuntimeVariablesContainer Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | List of all members
BadRuntimeVariablesContainer Class Reference

"Bad" variable container, used by events when no other valid container can be found. More...

`#include <RuntimeVariablesContainer.h>`

Inheritance diagram for BadRuntimeVariablesContainer:
[legend]
Collaboration diagram for BadRuntimeVariablesContainer:
[legend]

## Public Member Functions

virtual gd::Variable & | Get (const std::string &name)
| Return a reference to the variable called name.
virtual const gd::Variable & | Get (const std::string &name) const
| Return a reference to the variable called name.
virtual gd::Variable & | Get (unsigned int index)
| Return a reference to the variable at the @ index position in the list. More...
virtual const gd::Variable & | Get (unsigned int index) const
| Return a reference to the variable at the @ index position in the list. More...
virtual void | Merge (const gd::VariablesContainer &container)
| Merge the variables from the container with the already existing variables. More...
Public Member Functions inherited from RuntimeVariablesContainer
| RuntimeVariablesContainer (const gd::VariablesContainer &container)
| Construct a RuntimeVariablesContainer from a gd::VariablesContainer. More...
| RuntimeVariablesContainer ()
| Construct an empty container.
RuntimeVariablesContainer & | operator= (const gd::VariablesContainer &container)
| Initialize a RuntimeVariablesContainer from a gd::VariablesContainer. More...
virtual | ~RuntimeVariablesContainer ()
| Destructor: Properly clear the container.
bool | Has (const std::string &name) const
| Return true if the specified variable is in the container.
const std::map< std::string, gd::Variable * > & | DumpAllVariables ()

## Additional Inherited Members

Static Public Member Functions inherited from RuntimeVariablesContainer
static gd::Variable & | GetBadVariable ()
| Return a "bad" variable that can be used when no other valid variable can be used.
static RuntimeVariablesContainer & | GetBadVariablesContainer ()
| Return a "bad" variables container that can be used when no other valid container can be used.

## Detailed Description

"Bad" variable container, used by events when no other valid container can be found.

This container has no state and always returns the bad variable ( see RuntimeVariablesContainer::GetBadVariable() ).

See Also
  RuntimeVariablesContainer
  BadVariable

## Member Function Documentation

virtual gd::Variable& BadRuntimeVariablesContainer::Get | ( | unsigned int | index) |  |

inlinevirtual

Return a reference to the variable at the @ index position in the list.

Warning
  No bound check is made. Please use other overload of gd::VariablesContainer::Get when you do not have any efficiency request.

Note
  This specific overload can used by code generated from events when a variable index is known at the time of the code generation.

Reimplemented from RuntimeVariablesContainer.

Here is the call graph for this function:

virtual const gd::Variable& BadRuntimeVariablesContainer::Get | ( | unsigned int | index) |  | const

inlinevirtual

Return a reference to the variable at the @ index position in the list.

Warning
  No bound check is made. Please use other overload of gd::VariablesContainer::GetVariable when you do not have any efficiency request.

Note
  This specific overload can used by code generated from events when a variable index is known at the time of the code generation.

Reimplemented from RuntimeVariablesContainer.

Here is the call graph for this function:

virtual void BadRuntimeVariablesContainer::Merge | ( | const gd::VariablesContainer & | container) |  |

inlinevirtual

Merge the variables from the container with the already existing variables.

Already existing variables values are replaced. Newly added variables are available thanks to their index. Be careful: If the container was not empty, the index of the new variables are not the same as their index in the original container.

Reimplemented from RuntimeVariablesContainer.

The documentation for this class was generated from the following file:

- RuntimeVariablesContainer.h